import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { AbnormalOutInModel } from '../models/index';
/**
 * @author auto generate
 * @version 1.1
 * @date 2021-04-28 16:45
 */
interface AbnormalOutInModelCU extends ConditionUtil<AbnormalOutInModelCU> {
    ID: FieldUtil<AbnormalOutInModelCU>;
    TAPDID: FieldUtil<AbnormalOutInModelCU>;
    PARKID: FieldUtil<AbnormalOutInModelCU>;
    STATUS: FieldUtil<AbnormalOutInModelCU>;
    DATA: FieldUtil<AbnormalOutInModelCU>;
    CREATETIME: FieldUtil<AbnormalOutInModelCU>;
}
declare class AbnormalOutInModelMU extends TableUtilImpl<AbnormalOutInModelCU, AbnormalOutInModel> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): AbnormalOutInModelCU;
    static get ID(): FieldUtil<AbnormalOutInModelCU>;
    static get TAPDID(): FieldUtil<AbnormalOutInModelCU>;
    static get PARKID(): FieldUtil<AbnormalOutInModelCU>;
    static get STATUS(): FieldUtil<AbnormalOutInModelCU>;
    static get DATA(): FieldUtil<AbnormalOutInModelCU>;
    static get CREATETIME(): FieldUtil<AbnormalOutInModelCU>;
    get ID(): FieldUtil<AbnormalOutInModelCU>;
    get TAPDID(): FieldUtil<AbnormalOutInModelCU>;
    get PARKID(): FieldUtil<AbnormalOutInModelCU>;
    get STATUS(): FieldUtil<AbnormalOutInModelCU>;
    get DATA(): FieldUtil<AbnormalOutInModelCU>;
    get CREATETIME(): FieldUtil<AbnormalOutInModelCU>;
}
export { AbnormalOutInModelMU, AbnormalOutInModelCU };
